Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/SubcorpusSelectionResult.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/SubcorpusSelectionResult.java	(revision 0)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/SubcorpusSelectionResult.java	(revision 1038)
@@ -0,0 +1,72 @@
+package org.txm.searchengine.cqp.corpus;
+
+import java.util.ArrayList;
+
+//import org.txm.searchengine.cqp.core.functions.selection.SelectionResult;
+import org.w3c.dom.Document;
+import org.w3c.dom.Element;
+import org.w3c.dom.NodeList;
+
+public class SubcorpusSelectionResult {
+//	public void setSelectionResult(SelectionResult selectionResult) {
+//		this.selectionResult = selectionResult;
+//		if (this.getSelfElement() != null) {
+//			//remove old node if any
+//			NodeList selectionList = getSelfElement().getElementsByTagName("selection"); //$NON-NLS-1$
+//			for (int i = 0 ; i < selectionList.getLength() ; i++)
+//				getSelfElement().removeChild(selectionList.item(i));
+//
+//			Document doc = this.getParent().getSelfElement().getOwnerDocument();
+//			Element selectionElem = doc.createElement("selection"); // the selection element //$NON-NLS-1$
+//			for (String txt : selectionResult) // the text ids
+//			{
+//				Element textElem = doc.createElement("selText"); //$NON-NLS-1$
+//				textElem.setAttribute("id", txt); //$NON-NLS-1$
+//				selectionElem.appendChild(textElem);
+//			}
+//			for (String crit : selectionResult.critera.keySet()) // the critera
+//			{
+//				ArrayList<String> values = selectionResult.critera.get(crit);
+//				for (String value : values) {
+//					Element criteraElem = doc.createElement("selCrit"); //$NON-NLS-1$
+//					criteraElem.setAttribute("id", crit); //$NON-NLS-1$
+//					criteraElem.setAttribute("value", value); //$NON-NLS-1$
+//					selectionElem.appendChild(criteraElem);
+//				}
+//			}
+//			getSelfElement().appendChild(selectionElem);// append selection elem to self
+//		}
+//	}
+//
+//	public SelectionResult initSelectionResult() {
+//
+//		if (getSelfElement() != null) {
+//			selectionResult = new SelectionResult();
+//			NodeList selectionList = getSelfElement().getElementsByTagName("selection"); //$NON-NLS-1$
+//			for (int i = 0 ; i < selectionList.getLength() ;) {
+//				Element selection = (Element) selectionList.item(i); // the selection element
+//
+//				NodeList textList = selection.getElementsByTagName("selText"); // get text ids //$NON-NLS-1$
+//				for (int j = 0 ; j < textList.getLength() ; j++) {
+//					Element text = (Element) textList.item(j);
+//					selectionResult.add(text.getAttribute("id")); //$NON-NLS-1$
+//				}
+//
+//				NodeList critList = selection.getElementsByTagName("selCrit"); // get the criteria //$NON-NLS-1$
+//				for (int j = 0 ; j < critList.getLength() ; j++) {
+//					Element crit = (Element) critList.item(j);
+//					String name = crit.getAttribute("id"); // the name of the critera //$NON-NLS-1$
+//					if (!selectionResult.critera.containsKey(name)) // create new list if new critera
+//						selectionResult.critera.put(name, new ArrayList<String>());
+//					selectionResult.critera.get(name).add(crit.getAttribute("value")); // add the value //$NON-NLS-1$
+//				}
+//				break; // process only one selection node
+//			}
+//		}
+//		return selectionResult;
+//	}
+//
+//	public SelectionResult getSelectionResult() {
+//		return selectionResult;
+//	}
+}

Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Part.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Part.java	(revision 1037)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Part.java	(revision 1038)
@@ -28,7 +28,7 @@
 package org.txm.searchengine.cqp.corpus;
 
 import org.txm.core.results.TXMResult;
-import org.txm.objects.Base;
+import org.txm.objects.Project;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.clientExceptions.InvalidCqpIdException;
 import org.txm.searchengine.cqp.corpus.query.Query;
@@ -168,11 +168,11 @@
 	}
 
 	/* (non-Javadoc)
-	 * @see org.txm.searchengine.cqp.corpus.Subcorpus#getBase()
+	 * @see org.txm.searchengine.cqp.corpus.Subcorpus#getProject()
 	 */
 	@Override
-	public Base getBase() {
-		return this.partition.getParent().getBase();
+	public Project getProject() {
+		return this.partition.getParent().getProject();
 	}
 
 	/* (non-Javadoc)
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Corpus.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Corpus.java	(revision 1037)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Corpus.java	(revision 1038)
@@ -40,7 +40,7 @@
 import org.txm.core.messages.TXMCoreMessages;
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.core.results.TXMResult;
-import org.txm.objects.Base;
+import org.txm.objects.Project;
 import org.txm.objects.TxmObject;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.clientExceptions.InvalidCqpIdException;
@@ -459,7 +459,7 @@
 	 * @return the base
 	 */
 	@Override
-	public abstract Base getBase();
+	public abstract Project getProject();
 
 	/**
 	 * Get the charset set in the CQP registry file.
@@ -909,7 +909,7 @@
 	 */
 	@Override
 	public TxmObject removeChildren(TxmObject children) {
-		Element preBuildElement = this.getBase().getBaseParameters().getPreBuildElement();
+		Element preBuildElement = this.getProject().getProjectParameters().getPreBuildElement();
 		if (children instanceof Subcorpus) {
 			try {
 				if (children.getSelfElement() != null && 
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/creationdelete partition et subcorpus.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/creationdelete partition et subcorpus.java	(revision 0)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/creationdelete partition et subcorpus.java	(revision 1038)
@@ -0,0 +1,544 @@
+//import org.eclipse.osgi.util.NLS;
+//import org.txm.core.messages.TXMCoreMessages;
+//import org.txm.searchengine.cqp.CQPSearchEngine;
+//import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
+//import org.txm.searchengine.cqp.corpus.query.Query;
+//import org.txm.utils.logger.Log;
+//import org.w3c.dom.Element;
+//import org.w3c.dom.NodeList;
+
+//import java.util.ArrayList;
+//import java.util.List;
+//
+//import org.txm.core.messages.TXMCoreMessages;
+//import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
+//import org.txm.searchengine.cqp.corpus.query.Query;
+//import org.txm.utils.logger.Log;
+//import org.w3c.dom.Element;
+//import org.w3c.dom.NodeList;
+
+//
+//import java.util.List;
+//
+//import org.eclipse.osgi.util.NLS;
+//import org.txm.core.messages.TXMCoreMessages;
+//import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
+//import org.txm.searchengine.cqp.clientExceptions.InvalidCqpIdException;
+//import org.txm.searchengine.cqp.core.functions.selection.SelectionResult;
+//import org.txm.searchengine.cqp.corpus.query.Query;
+//import org.txm.searchengine.cqp.corpus.query.QueryPart;
+//import org.txm.utils.logger.Log;
+//import org.w3c.dom.Element;
+//
+//
+//
+//	
+//	/**
+//	 * Creates a partition using a list of CQP queries and names each part.
+//	 *
+//	 * @param name the name
+//	 * @param queries the queries
+//	 * @param partnames the partnames
+//	 * @param registered the registered
+//	 * @return the partition
+//	 * @throws CqiClientException the cqi client exception
+//	 */
+//	public Partition createPartition(String name, List<String> queries, List<String> partnames, boolean registered) throws Exception {
+//		Partition partition = new Partition(this);
+//		partition.setParameters(name, queries, partnames);
+//		partition.compute();
+//		if (!registered) {
+//			partition.registerToParent();
+//		}
+//		return partition;
+//	}
+//
+//	/**
+//	 * Creates the partition.
+//	 *
+//	 * @param structure the structure
+//	 * @param property the property
+//	 * @param values the values
+//	 * @param registered the registered
+//	 * @return the partition
+//	 * @throws CqiClientException the cqi client exception
+//	 */
+//	public Partition createPartition(String name, StructuralUnit structure, StructuralUnitProperty property, List<String> values, boolean registered) throws Exception {
+//		Partition partition = new Partition(this);
+//		partition.setParameters(name, property, values);
+//		partition.compute();
+//		if (!registered) {
+//			partition.registerToParent();
+//		}
+//		return partition;
+//	}
+//
+//	/**
+//	 * Creates a subcorpus using workspace definition.
+//	 *
+//	 * @param elem the XML element
+//	 * @return the subcorpus
+//	 * @throws CqiClientException the cqi client exception
+//	 */
+//	public Subcorpus createSubcorpus(Element elem) throws CqiClientException {
+//		Query query = new Query(elem.getAttribute("query")); //$NON-NLS-1$
+//		String subcorpusName = elem.getAttribute("name"); //$NON-NLS-1$
+//
+//		Subcorpus subcorpus;
+//		String subcorpusCqpId = subcorpusNamePrefix	+ getNextSubcorpusCounter();
+//
+//		// long start = System.currentTimeMillis();
+//		try {
+//			CQPSearchEngine.getCqiClient().cqpQuery(this.getQualifiedCqpId(), subcorpusCqpId,
+//					query.getQueryString());
+//			subcorpus = new Subcorpus(subcorpusCqpId, subcorpusName, this, query);
+//			subcorpus.setSelfElement(elem);
+//		} catch (Exception e) {
+//			throw new CqiClientException(e);
+//		}
+//
+//		return subcorpus;
+//	}
+//
+//	/**
+//	 * Create a named subcorpus from a query on this corpus.
+//	 * 
+//	 * @param query
+//	 *            the query
+//	 * @param subcorpusName
+//	 *            the resulting subcorpus name
+//	 * 
+//	 * @return the resulting subcorpus
+//	 * 
+//	 * @throws CqiClientException
+//	 *             the cqi client exception
+//	 */
+//	public Subcorpus createSubcorpus(Query query, String subcorpusName)
+//			throws CqiClientException {
+//		Subcorpus sc = createSubcorpus(query, subcorpusName, false);
+//		return sc;
+//	}
+//
+//	/**
+//	 * Creates a subcorpus and save configuration in the workspace.
+//	 *
+//	 * @param query the query
+//	 * @param subcorpusName the subcorpus name
+//	 * @param registered the registered
+//	 * @return the subcorpus
+//	 * @throws CqiClientException the cqi client exception
+//	 */
+//	public Subcorpus createSubcorpus(Query query, String subcorpusName,
+//			boolean registered) throws CqiClientException {
+//		Subcorpus subcorpus;
+//		String subcorpusCqpId = subcorpusNamePrefix + getNextSubcorpusCounter().toString();
+//		Log.finest(TXMCoreMessages.CREATING_SUBCORPUS + this.getQualifiedCqpId()
+//				+ " " + subcorpusName + " " + query.getQueryString()); //$NON-NLS-1$ //$NON-NLS-2$
+//
+//		long start = System.currentTimeMillis();
+//		try {
+//			CQPSearchEngine.getCqiClient().cqpQuery(
+//					this.getQualifiedCqpId(), subcorpusCqpId,
+//					query.getQueryString());
+//			//System.out.println("SUBCORPUS: "+subcorpusCqpId+" q="+query.getQueryString());
+//			subcorpus = new Subcorpus(subcorpusCqpId, subcorpusName, this, query);
+//		} catch (Exception e) {
+//			throw new CqiClientException(e);
+//		}
+//		long end = System.currentTimeMillis();
+//		Log.finest(TXMCoreMessages.SUBCORPUS_CREATED + subcorpusName
+//				+ TXMCoreMessages.Corpus_8 + (end - start));
+//
+//		if (!registered) subcorpus.registerToParent();
+//		return subcorpus;
+//	}
+//
+//	public Subcorpus createSubcorpus(String name, QueryResult queryResult) throws InvalidCqpIdException {
+//		Subcorpus sub = new Subcorpus(queryResult.getCqpId(), name, this, null);
+//		return sub;
+//	}
+//
+//	public Subcorpus createSubcorpus(String name, String cqpid) throws InvalidCqpIdException {
+//		Subcorpus sub = new Subcorpus(cqpid, name, this, null);
+//		return sub;
+//	}
+//	
+//	/**
+//	 * Creates the subcorpus.
+//	 *
+//	 * @param elem the elem
+//	 * @return the subcorpus
+//	 * @throws CqiClientException the cqi client exception
+//	 */
+//	public Subcorpus createSubcorpus(String name, SelectionResult selectionResult) throws CqiClientException {
+//		Subcorpus sub = createSubcorpus(this.getStructuralUnit("text"), this.getStructuralUnit("text").getProperty("id"), selectionResult, name); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+//		sub.setSelectionResult(selectionResult);
+//		return sub;
+//	}
+//	
+//	/**
+//	 * Creates the subcorpus.
+//	 *
+//	 * @param structuralUnit the structural unit
+//	 * @param structuralUnitProperty the structural unit property
+//	 * @param values the values
+//	 * @param subcorpusName the subcorpus name
+//	 * @return the subcorpus
+//	 * @throws CqiClientException the cqi client exception
+//	 */
+//	public Subcorpus createSubcorpus(StructuralUnit structuralUnit,
+//			StructuralUnitProperty structuralUnitProperty, List<String> values,
+//			String subcorpusName) throws CqiClientException {
+//		if (values.size() == 0) {
+//			Log.warning(TXMCoreMessages.Corpus_5);
+//			return null;
+//		}
+//		String value = ""; //$NON-NLS-1$
+//		for (String v : values)
+//			value += Query.addBackSlash(v) + "|"; //$NON-NLS-1$
+//		value = value.substring(0, value.length() - 1);
+//		
+//		Query query = new QueryPart(structuralUnit, structuralUnitProperty, value);
+//		return createSubcorpus(query, subcorpusName);
+//		//return createSubcorpus(structuralUnit, structuralUnitProperty, value, subcorpusName);
+//	}
+//
+//	/**
+//	 * Create a subcorpus from a structural unit, a property on this structural
+//	 * unit and a value for this property.
+//	 *
+//	 * @param structuralUnit the structural unit
+//	 * @param structuralUnitProperty the structural unit property
+//	 * @param value the value
+//	 * @param subcorpusName the subcorpus name
+//	 * @return the subcorpus
+//	 * @throws CqiClientException the cqi client exception
+//	 * @author Sylvain Loiseau
+//	 */
+//	public Subcorpus createSubcorpus(StructuralUnit structuralUnit,
+//			StructuralUnitProperty structuralUnitProperty, String value,
+//			String subcorpusName) throws CqiClientException {
+//		Query query = new QueryPart(structuralUnit, structuralUnitProperty,
+//				Query.addBackSlash(value));
+//		// System.out.println("forged query : "+query.getQueryString());
+//		return createSubcorpus(query, subcorpusName);
+//	}
+//
+//	/**
+//	 * Create a subcorpus from a structural unit, a property on this structural
+//	 * unit and a value for this property.
+//	 *
+//	 * @param structuralUnit the structural unit
+//	 * @param structuralUnitProperty the structural unit property
+//	 * @param value the value
+//	 * @param subcorpusName the subcorpus name
+//	 * @return the subcorpus
+//	 * @throws CqiClientException the cqi client exception
+//	 * @author Sylvain Loiseau
+//	 */
+//	public Subcorpus createSubcorpusWithQueryString(StructuralUnit structuralUnit,
+//			StructuralUnitProperty structuralUnitProperty, String value,
+//			String subcorpusName) throws CqiClientException {
+//		Query query = new QueryPart(structuralUnit, structuralUnitProperty,
+//				value);
+//		// System.out.println("forged query : "+query.getQueryString());
+//		return createSubcorpus(query, subcorpusName);
+//	}
+//
+//	/**
+//	 * Drop all the partitions.
+//	 * 
+//	 * @throws CqiClientException
+//	 *             the cqi client exception
+//	 */
+//	public void dropAllPartitions() throws CqiClientException {
+//		List<Partition> _partitions = (List<Partition>) getChildren(Partition.class);
+//		for (Partition partition : _partitions) {
+//			this.dropPartition(partition);
+//		}
+//		_partitions = null;
+//	}
+//
+//	/**
+//	 * Drop all the subcorpora.
+//	 * 
+//	 * @throws CqiClientException
+//	 *             the cqi client exception
+//	 */
+//	public void dropAllSubcorpora() throws CqiClientException {
+//		//System.out.println("!! drop all subcorpora: "+subcorpora.size());
+//		List<Subcorpus> subcorpora = getSubcorpora();
+//		while(subcorpora.size() > 0) {
+//			this.dropSubcorpus(subcorpora.get(0));
+//		}
+//	}
+//
+//	/**
+//	 * Drops a partition.
+//	 * 
+//	 * @param partition
+//	 *            the partition
+//	 * 
+//	 * @throws CqiClientException
+//	 *             the cqi client exception
+//	 */
+//	public void dropPartition(Partition partition) throws CqiClientException {
+//		Log.finest(TXMCoreMessages.info_deletingPartition + partition.getName());
+//		for (Part part : partition.getParts())
+//			try {
+//				CQPSearchEngine.getCqiClient().dropSubCorpus(part.getQualifiedCqpId());
+//			} catch (Exception e) {
+//				throw new CqiClientException(e);
+//			}
+//	}
+//
+//	/**
+//	 * Drop query result.
+//	 * 
+//	 * @param queryResult
+//	 *            the query result
+//	 * 
+//	 * @throws CqiClientException
+//	 *             the cqi client exception
+//	 */
+//	public void dropQueryResult(QueryResult queryResult)
+//			throws CqiClientException {
+//		Log.finest(TXMCoreMessages.DROP_QUERYRESULT + queryResult.getName());
+//		try {
+//			CQPSearchEngine.getCqiClient().dropSubCorpus(queryResult.getQualifiedCqpId());
+//		} catch (Exception e) {
+//			throw new CqiClientException(e);
+//		}
+//	}
+//
+//	/**
+//	 * Drops a subcorpus in CQP also its subcorpus and partitions.
+//	 * 
+//	 * @param subcorpus
+//	 *            the subcorpus
+//	 * 
+//	 * @throws CqiClientException
+//	 *             the cqi client exception
+//	 */
+//	public boolean dropSubcorpus(Corpus subcorpus) throws CqiClientException {
+//		Log.finest(NLS.bind(TXMCoreMessages.DROP_SUBCORPUS, subcorpus.getName()));
+//		subcorpus.dropAllSubcorpora();
+//		subcorpus.dropAllPartitions();
+//		try {
+//			CQPSearchEngine.getCqiClient().dropSubCorpus(subcorpus.getQualifiedCqpId());
+//		} catch (Exception e) {
+//			throw new CqiClientException(e);
+//		}
+//		return true;
+//	}
+//
+//
+//
+//
+
+//	/* (non-Javadoc)
+//	 * @see org.txm.objects.TxmObject#load()
+//	 */
+//	protected boolean _loadCorpus() {
+//		//System.out.println("*** Load corpus: "+name);
+//		if (getSelfElement() == null) {
+//			System.out.println(TXMCoreMessages.Corpus_14+this+TXMCoreMessages.Corpus_15);
+//			return false;
+//		}
+//
+//		// 1- texts queries then
+//		// 2- get metadatas, pattributes, sattributes, editions, biblios,  uis,
+//		super._load();  
+//		// System.out.println("Load corpus : "+this.name);
+//		this.loadMetadata(); // read <prop>s
+//
+//		// 3- build saved subcorpus and partition
+//		//System.out.println("restore subcorpora: "+selfElement);
+//		NodeList preBuildElems = getSelfElement().getElementsByTagName("preBuild"); //$NON-NLS-1$
+//		if (preBuildElems.getLength() > 0) {
+//			Element preBuildElem = (Element) preBuildElems.item(0);
+//			NodeList subcorpusElems = preBuildElem.getElementsByTagName("subcorpus"); //$NON-NLS-1$
+//			for (int i = 0 ; i < subcorpusElems.getLength() ; i++) {
+//				Element subcorpusElem = (Element) subcorpusElems.item(i);
+//				if (!subcorpusElem.getParentNode().equals(preBuildElem)) continue; //level 1 elements
+//				//System.out.println("subcorpus "+subcorpusElem.getAttribute("name"));
+//				try {
+//					Subcorpus subcorp = this.createSubcorpus(subcorpusElem);
+//					subcorp.load(subcorpusElem);
+//				} catch (CqiClientException e) {
+//					Log.warning(this.name + TXMCoreMessages.Corpus_12 + name
+//							+ " : " + e); //$NON-NLS-1$
+//				}
+//			}
+//
+//			NodeList partitionElems = preBuildElem.getElementsByTagName("partition"); //$NON-NLS-1$
+//			for (int i = 0 ; i < partitionElems.getLength() ; i++) {
+//				Element partitionElem = (Element) partitionElems.item(i);
+//				if (!partitionElem.getParentNode().equals(preBuildElem)) continue; //level 1 elements
+//				String name = partitionElem.getAttribute("name"); //$NON-NLS-1$
+//				List<String> names = new ArrayList<String>();
+//				List<String> queries = new ArrayList<String>();
+//
+//				NodeList partElems = partitionElem.getElementsByTagName("part"); //$NON-NLS-1$
+//				for (int j = 0; j < partElems.getLength(); j++) {
+//					Element part = (Element) partElems.item(j);
+//					names.add(part.getAttribute("name")); //$NON-NLS-1$
+//					queries.add(part.getAttribute("query")); //$NON-NLS-1$
+//				}
+//				try {
+//					//System.out.println("Create Partition with corpus "+this+" : "+name+", queries "+queries+", names "+names);
+//					Partition partition = this.createPartition(name, queries, names, true);
+//					partition.load(partitionElem);
+//				} catch (Exception e) {
+//					Log.warning(this.name + TXMCoreMessages.Corpus_19 + name
+//							+ " : " + e); //$NON-NLS-1$
+//					//c.getParentNode().removeChild(c);
+//				}
+//			}
+//		}
+//
+//		return true;
+//	}
+
+
+///*
+// * (non-Javadoc)
+// * 
+// * @see org.txm.searchengine.cqp.corpus.Corpus#getLocale()
+// */
+//@Override
+//protected boolean _loadSubcorpus() {
+//	if (getSelfElement() != null) {
+//		this.query = new Query(getSelfElement().getAttribute("query")); //$NON-NLS-1$
+//
+//		NodeList subcorpusElems = getSelfElement().getElementsByTagName("subcorpus"); //$NON-NLS-1$
+//		for (int i = 0 ; i < subcorpusElems.getLength() ; i++) {
+//			Element subcorpusElem = (Element) subcorpusElems.item(i);
+//			try {
+//				Subcorpus subcorp = this.createSubcorpus(subcorpusElem);
+//				subcorp.load(subcorpusElem);
+//			} catch (CqiClientException e) {
+//				Log.warning(this.name + TXMCoreMessages.Corpus_12 + name
+//						+ " : " + e); //$NON-NLS-1$
+//			}
+//		}
+//
+//		NodeList partitionElems = getSelfElement().getElementsByTagName("partition"); //$NON-NLS-1$
+//		for (int i = 0 ; i < partitionElems.getLength() ; i++) {
+//			Element partitionElem = (Element) partitionElems.item(i);
+//			String name = partitionElem.getAttribute("name"); //$NON-NLS-1$
+//			List<String> names = new ArrayList<String>();
+//			List<String> queries = new ArrayList<String>();
+//
+//			NodeList partElems = partitionElem.getElementsByTagName("part"); //$NON-NLS-1$
+//			for (int j = 0; j < partElems.getLength(); j++) {
+//				Element part = (Element) partElems.item(j);
+//				names.add(part.getAttribute("name")); //$NON-NLS-1$
+//				queries.add(part.getAttribute("query")); //$NON-NLS-1$
+//			}
+//			try {
+//				//System.out.println("Create Partition with corpus "+this+" : "+name+", queries "+queries+", names "+names);
+//				Partition partition = this.createPartition(name, queries, names, true);
+//				partition.load(partitionElem);
+//			} catch (Exception e) {
+//				Log.warning(this.name + TXMCoreMessages.Corpus_19 + name
+//						+ " : " + e); //$NON-NLS-1$
+//				//c.getParentNode().removeChild(c);
+//			}
+//		}
+//	}
+//	initSelectionResult();
+//	//System.out.println("Subcorpus.load: Selection of "+this+" = "+selectionResult);
+//	//return super.load();
+//	return true;
+//}
+
+//	/* (non-Javadoc)
+//	 * @see org.txm.objects.TxmObject#load()
+//	 */
+//	@Override
+//	protected boolean _loadPartition() {
+//		if (this.getUUID().length() > 0) return true; // partition already persisted
+//
+//		if (this.hasBeenComputedOnce) return true; // partition already computed
+//		
+//		if (this.getSelfElement() != null && this.getParent() != null) {
+//			NodeList partList = getSelfElement().getChildNodes();
+//			for (int i = 0; i < partList.getLength(); i++) {
+//				if (partList.item(i).getNodeType() == 1) {
+//					Element c = (Element) partList.item(i);
+//					if (c.getNodeName().equals("part")) //$NON-NLS-1$
+//					{
+//						String pname = c.getAttribute("name"); //$NON-NLS-1$
+//						String pshortname = c.getAttribute("shortname"); //$NON-NLS-1$
+//						String pquery = c.getAttribute("query"); //$NON-NLS-1$
+//						for (Part part : getParts())
+//							if (part.getName().equals(pname)) {
+//								part.setName(pname);
+//								part.setShortName(pshortname);
+//								part.setQuery(pquery);
+//							}
+//					}
+//				}
+//			}
+//			this.loadMetadata();
+//			return true;
+//		}
+//
+//		return false;
+//	}
+
+
+///**
+// * Creates the part.
+// *
+// * @param partitionName the partition name
+// * @param partName the part name
+// * @param query the query
+// * @return the part
+// * @throws CqiClientException the cqi client exception
+// */
+//private Part createPart(String partitionName, String partName, Query query)	throws CqiClientException {
+//	if (partName.length() == 0) {
+//		partName = "-"; //$NON-NLS-1$
+//	}
+//	return createPart(partitionName, partName, query.getQueryString());
+//}
+//
+///**
+// * Create a part with a raw query.
+// *
+// * @param partitionName the partition name
+// * @param partName the part name
+// * @param query the query
+// * @return the part
+// * @throws CqiClientException the cqi client exception
+// * 
+// * @author Sylvain Loiseau, mdecorde
+// */
+//public Part createPart(String partitionName, String partName, String query) throws CqiClientException {
+//	Part part;
+//	String partCqpId = CqpObject.partNamePrefix + Corpus.getNextSubcorpusCounter();
+//	Log.finest(NLS.bind(TXMCoreMessages.CREATING_PART,partName, query));
+//	long start = System.currentTimeMillis();
+//	try {
+//		CQPSearchEngine.getCqiClient().cqpQuery(this.getParent().getQualifiedCqpId(), partCqpId, query);
+//		part = new Part(partCqpId, partitionName, partName, this, new Query(query));
+//
+//		// FIXME: persistence tests: define the UUID as the concatenation of all part CQP id
+////		this.uniqueID += partCqpId;
+//
+//	} catch (Exception e) {
+//		try {
+//			throw new CqiClientException(TXMCoreMessages.Partition_9 + partitionName + "_" + partName + e + " last error: " + CQPSearchEngine.getCqiClient().getLastCQPError()); //$NON-NLS-1$ //$NON-NLS-2$
+//		} catch (Exception e1) {
+//			System.out.println(TXMCoreMessages.Partition_18+e1);
+//			org.txm.utils.logger.Log.printStackTrace(e1);
+//			return null;
+//		}
+//	}
+//	long end = System.currentTimeMillis();
+//	Log.finest(NLS.bind(TXMCoreMessages.info_partCreatedInXMs, partitionName + "_" + partName, (end - start))); //$NON-NLS-1
+//
+//	return part;
+//}
\ No newline at end of file

Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/MainCorpus.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/MainCorpus.java	(revision 1037)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/MainCorpus.java	(revision 1038)
@@ -40,7 +40,7 @@
 
 import org.eclipse.core.runtime.IProgressMonitor;
 import org.txm.core.messages.TXMCoreMessages;
-import org.txm.objects.Base;
+import org.txm.objects.Project;
 import org.txm.objects.TxmObject;
 import org.txm.searchengine.cqp.AbstractCqiClient;
 import org.txm.searchengine.cqp.CQPSearchEngine;
@@ -111,8 +111,8 @@
 	@Override
 	public boolean export(File exportzip, IProgressMonitor monitor)
 	{
-		if (this.getBase() != null)
-			return this.getBase().export(exportzip, monitor);
+		if (this.getProject() != null)
+			return this.getProject().export(exportzip, monitor);
 		return false;
 	}
 	
@@ -340,7 +340,7 @@
 		boolean ret = super._load();
 		
 		// FIXME: test to create a project scope
-//		CorpusScope scope = new CorpusScope(this.getName(), this.getBaseDirectory());
+//		CorpusScope scope = new CorpusScope(this.getName(), this.getProjectDirectory());
 //		CorpusScope.addScope(scope);
 		
 		return ret;
@@ -353,7 +353,7 @@
 	@Override
 	public boolean delete() {
 		removeFromCWB();
-		Base b = this.getBase();
+		Project b = this.getProject();
 		if (b != null) b.delete();
 		
 		// FIXME: test to remove the project scope
@@ -376,7 +376,7 @@
 	 *
 	 * @param base the new parent
 	 */
-	public void setParent(Base base) {
+	public void setParent(Project base) {
 		this.parent = base;
 	}
 
@@ -398,17 +398,17 @@
 		CorpusManager.deleteCorpus(this);
 
 		// delete binaries
-		File binaries = this.getBaseDirectory();
+		File binaries = this.getProjectDirectory();
 		System.out.println(TXMCoreMessages.MainCorpus_2+binaries);
 		return DeleteDir.deleteDirectory(binaries);
 	}
 
 	/* (non-Javadoc)
-	 * @see org.txm.searchengine.cqp.corpus.Corpus#getBase()
+	 * @see org.txm.searchengine.cqp.corpus.Corpus#getProject()
 	 */
 	@Override
-	public Base getBase() {
-		return (Base) getParent();
+	public Project getProject() {
+		return (Project) getParent();
 	}
 
 
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Subcorpus.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Subcorpus.java	(revision 1037)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Subcorpus.java	(revision 1038)
@@ -34,7 +34,7 @@
 import org.eclipse.osgi.util.NLS;
 import org.txm.core.messages.TXMCoreMessages;
 import org.txm.core.results.TXMParameters;
-import org.txm.objects.Base;
+import org.txm.objects.Project;
 import org.txm.objects.TxmObject;
 import org.txm.searchengine.cqp.AbstractCqiClient;
 import org.txm.searchengine.cqp.NetCqiClient;
@@ -381,15 +381,15 @@
 	}
 
 	/* (non-Javadoc)
-	 * @see org.txm.searchengine.cqp.corpus.Corpus#getBase()
+	 * @see org.txm.searchengine.cqp.corpus.Corpus#getProject()
 	 */
 	@Override
-	public Base getBase() {
+	public Project getProject() {
 		TxmObject o = getParent();
-		if (o instanceof Base)
-			return (Base)o;
+		if (o instanceof Project)
+			return (Project)o;
 		else if (o instanceof Corpus)
-			return ((Corpus)o).getBase();
+			return ((Corpus)o).getProject();
 		else 	
 			return null;
 	}
